Project (Gradle API 7.6.4)

Package org.gradle.plugins.ide.eclipse.model

## Class Project

- java.lang.Object
- - org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
  - - org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
    - - org.gradle.plugins.ide.eclipse.model.Project

- All Implemented Interfaces:
    `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`

      public class Project
      extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  Represents the customizable elements of an eclipse project file. (via XML hooks everything is customizable).

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PROJECT_FILE_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Project​(org.gradle.internal.xml.XmlTransformer xmlTransformer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `configure​(EclipseProject eclipseProject)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `java.util.List<BuildCommand>` | `getBuildCommands()` | The build commands to be added to this Eclipse project.
    `java.lang.String` | `getComment()` | A comment used for the eclipse project
    `protected java.lang.String` | `getDefaultResourceName()` |
    `java.util.Set<Link>` | `getLinkedResources()` | The linkedResources to be added to this Eclipse project.
    `java.lang.String` | `getName()` | The name used for the name of the eclipse project
    `java.util.List<java.lang.String>` | `getNatures()` | The natures to be added to this Eclipse project.
    `java.util.Set<java.lang.String>` | `getReferencedProjects()` | The referenced projects of this Eclipse project.
    `java.util.Set<ResourceFilter>` | `getResourceFilters()` | The resource filters of this Eclipse project.
    `int` | `hashCode()` |
    `protected void` | `load​(Node xml)` |
    `void` | `setBuildCommands​(java.util.List<BuildCommand> buildCommands)` |
    `void` | `setComment​(java.lang.String comment)` |
    `void` | `setLinkedResources​(java.util.Set<Link> linkedResources)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setNatures​(java.util.List<java.lang.String> natures)` |
    `void` | `setReferencedProjects​(java.util.Set<java.lang.String> referencedProjects)` |
    `void` | `setResourceFilters​(java.util.Set<ResourceFilter> resourceFilters)` | Sets the resource filters of this Eclipse project.
    `protected void` | `store​(Node xml)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

      `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction`

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

      `load, loadDefaults, store`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROJECT_FILE_NAME

          public static final java.lang.String PROJECT_FILE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Project

          public Project​(org.gradle.internal.xml.XmlTransformer xmlTransformer)

  - ### Method Detail

    - #### getDefaultResourceName

          protected java.lang.String getDefaultResourceName()

      Specified by:
        `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

    - #### getName

          public java.lang.String getName()

      The name used for the name of the eclipse project

    - #### setName

          public void setName​(java.lang.String name)

    - #### getComment

          public java.lang.String getComment()

      A comment used for the eclipse project

    - #### setComment

          public void setComment​(java.lang.String comment)

    - #### getReferencedProjects

          public java.util.Set<java.lang.String> getReferencedProjects()

      The referenced projects of this Eclipse project.

    - #### setReferencedProjects

          public void setReferencedProjects​(java.util.Set<java.lang.String> referencedProjects)

    - #### getNatures

          public java.util.List<java.lang.String> getNatures()

      The natures to be added to this Eclipse project.

    - #### setNatures

          public void setNatures​(java.util.List<java.lang.String> natures)

    - #### getBuildCommands

          public java.util.List<BuildCommand> getBuildCommands()

      The build commands to be added to this Eclipse project.

    - #### setBuildCommands

          public void setBuildCommands​(java.util.List<BuildCommand> buildCommands)

    - #### getLinkedResources

          public java.util.Set<Link> getLinkedResources()

      The linkedResources to be added to this Eclipse project.

    - #### setLinkedResources

          public void setLinkedResources​(java.util.Set<Link> linkedResources)

    - #### getResourceFilters

          public java.util.Set<ResourceFilter> getResourceFilters()

      The resource filters of this Eclipse project.
      Since:
        3.5

    - #### setResourceFilters

          public void setResourceFilters​(java.util.Set<ResourceFilter> resourceFilters)

      Sets the resource filters of this Eclipse project.
      Since:
        3.5

    - #### configure

          public java.lang.Object configure​(EclipseProject eclipseProject)

    - #### load

          protected void load​(Node xml)

      Overrides:
        `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

    - #### store

          protected void store​(Node xml)

      Overrides:
        `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`